Subject: Re: bug#75631: 31.0.50; "restart-emacs" command not work when launch by runemacs.exe

From: kkky <[email-masked]>
Date: Fri, 17 Jan 2025 23:34:51 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Fri, 17 Jan 2025 21:05:14 +0800
>> 
>> 
>> runemacs.exe only exists on MS Windows.
>> 
>> 1. launch emacs by: `runemacs.exe -Q`
>> 2. M-x restart-emacs
>> 3. then emacs not restart, or died quickly.
>
> I cannot reproduce this, restart-emacs works for me both when Emacs is
> started as "emacs -Q" and when I start "runemacs -Q".
>
> Please describe in more detail how you invoke runemacs.exe: in what
> directory, what do you type, etc.
>
> Are you invoking runemacs from the Emacs source tree or from some
> other place?

I get some process info with "process monitor":

When I execute "restart-emacs", emacs actually restarted, but eventually
dead.

Here is 2 log generated by "process monitor", record before execute
"restart-emacs".

emacs.csv is launch by "emacs.exe -Q", which work as expected.
runemacs.csv is launch by "runemacs.exe -Q", which eventually dead.

If need more detail, please tell me.
Sorry for my bad English.

Thanks.